Skip to main content

Get task metrics summary

GET
/ai/gateway/tasks/{id}/metrics-summary

Contract

Parameter
Value
Sectionai-gateway
AuthenticationAIKeyAuth
Consumesnot required
Producesapplication/json

Parameters

2 parameters

Name
Location
Required
Type
Description
idpathyesintegerTask ID
limitquerynointegerMaximum metric rows: 50 by default, up to 200

Responses

6 responses

Status
Description
Type
200
Successful responseobject
400
Task ID must be a positive integerobject
401
API key is missing or invalidobject
403
Required reports:read scope is missing or the task is outside the allowlistobject
404
Task not foundobject
500
Internal server errorobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }